perl-Pod-Spell-CommonMistakes-1.2.0-3.mga6.noarch.rpm


Advertisement

Description

perl-Pod-Spell-CommonMistakes - Holds the wordlist data for Pod::Spell::CommonMistakes

Property Value
Distribution Mageia 6.1
Repository Mageia Core i586
Package name perl-Pod-Spell-CommonMistakes
Package version 1.2.0
Package release 3.mga6
Package architecture noarch
Package type rpm
Installed size 115.36 KB
Download size 38.24 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
This module looks for any typos in your POD. It differs from the Pod::Spell
manpage or the Test::Spelling manpage because it uses a custom wordlist and
doesn't use the system spellchecker. The idea for this came from the the
http://wiki.debian.org/Teams/Lintian manpage code in Debian, thanks!
To use this, just pass it a filename that has POD in it and you'll get a
hashref back. If the hashref is empty that means the checker found no
misspelled words. If it contains keys, then the keys are the bad words and
the values are the suggested spelling.

Alternatives

Package Version Architecture Repository
perl-Pod-Spell-CommonMistakes-1.2.0-3.mga6.noarch.rpm 1.2.0 noarch Mageia Core
perl-Pod-Spell-CommonMistakes - - -

Requires

Name Value
perl(Exporter) -
perl(IO::Scalar) >= 2.110.0
perl(Pod::Spell) >= 1.10.0
perl(Pod::Spell::CommonMistakes::WordList) -
perl(parent) -
perl(strict) -
perl(warnings) -
perl-base >= 2:5.22.2

Provides

Name Value
perl(Pod::Spell::CommonMistakes) == 1.2.0
perl(Pod::Spell::CommonMistakes::WordList) == 1.2.0
perl-Pod-Spell-CommonMistakes == 1.2.0-3.mga6

Download

Type URL
Binary Package perl-Pod-Spell-CommonMistakes-1.2.0-3.mga6.noarch.rpm
Source Package perl-Pod-Spell-CommonMistakes-1.2.0-3.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Pod-Spell-CommonMistakes rpm package:
    # urpmi perl-Pod-Spell-CommonMistakes

Files

Path
/usr/lib/perl5/vendor_perl/5.22.2/Pod/
/usr/lib/perl5/vendor_perl/5.22.2/Pod/Spell/CommonMistakes.pm
/usr/lib/perl5/vendor_perl/5.22.2/Pod/Spell/CommonMistakes/WordList.pm
/usr/share/doc/perl-Pod-Spell-CommonMistakes/Changes
/usr/share/doc/perl-Pod-Spell-CommonMistakes/INSTALL
/usr/share/doc/perl-Pod-Spell-CommonMistakes/LICENSE
/usr/share/doc/perl-Pod-Spell-CommonMistakes/META.json
/usr/share/doc/perl-Pod-Spell-CommonMistakes/META.yml
/usr/share/doc/perl-Pod-Spell-CommonMistakes/README
/usr/share/doc/perl-Pod-Spell-CommonMistakes/SIGNATURE
/usr/share/doc/perl-Pod-Spell-CommonMistakes/examples/simple.pl
/usr/share/man/man3/Pod::Spell::CommonMistakes.3pm.xz
/usr/share/man/man3/Pod::Spell::CommonMistakes::WordList.3pm.xz

Changelog

2016-06-19 - pterjan <pterjan> 1.2.0-3.mga6
+ Revision: 1032328
- Rebuild for perl 5.22.2
2016-02-18 - umeabot <umeabot> 1.2.0-2.mga6
+ Revision: 966819
- Mageia 6 Mass Rebuild
2015-06-28 - sander85 <sander85> 1.2.0-1.mga6
+ Revision: 846890
- update to 1.002
2014-10-18 - umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 787999
- Rebuild to potentially add missing dependencies
2014-10-15 - umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 749192
- Second Mageia 5 Mass Rebuild
2014-09-16 - umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 686022
- Mageia 5 Mass Rebuild
2013-10-18 - umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 514230
- Mageia 4 Mass Rebuild

See Also

Package Description
perl-Pod-Spelling-0.230.0-2.mga6.noarch.rpm Pod::POM::View::Text without sequence formatting
perl-Pod-Strip-1.20.0-7.mga6.noarch.rpm Remove POD from Perl code
perl-Pod-Tests-1.190.0-7.mga6.noarch.rpm Extracts embedded tests and code examples from POD
perl-Pod-Text-Ansi-0.50.0-7.mga6.noarch.rpm Convert POD to ANSI-colored text
perl-Pod-Tidy-0.100.0-3.mga6.noarch.rpm Reformat Pod to be nicely line wrapped
perl-Pod-ToDemo-1.201.107.90-7.mga6.noarch.rpm writes a demo program from a tutorial POD
perl-Pod-Usage-CommandLine-0.40.0-8.mga6.noarch.rpm Add some common command line options from Pod::Usage
perl-Pod-Weaver-4.13.0-1.mga6.noarch.rpm A bundle for the most commonly-needed prep work for a pod document
perl-Pod-Weaver-Plugin-Encoding-0.30.0-3.mga6.noarch.rpm Add an encoding command to your POD
perl-Pod-Weaver-Plugin-EnsureUniqueSections-0.121.550-7.mga6.noarch.rpm Ensure that POD has no duplicate section headers
perl-Pod-Weaver-Plugin-StopWords-1.10.0-3.mga6.noarch.rpm Dynamically add stopwords to your woven pod
perl-Pod-Weaver-PluginBundle-AMD-4.1.0-7.mga6.noarch.rpm Document your modules like AMD does
perl-Pod-Weaver-PluginBundle-Apocalyptic-0.4.0-3.mga6.noarch.rpm Let the apocalypse generate your POD!
perl-Pod-Weaver-PluginBundle-Author-DOHERTY-0.8.0-5.mga6.noarch.rpm Pod::Weaver configuration the way DOHERTY does it
perl-Pod-Weaver-PluginBundle-FLORA-0.40.0-3.mga6.noarch.rpm Document your modules like FLORA does
Advertisement
Advertisement